description "Consul agent"

start on (filesystem and net-device-up IFACE!=lo)
stop on runlevel [!2345]

pre-stop exec consul leave

respawn

setuid {{ consul_user }}
setgid {{ consul_user }}

export GOMAXPROCS=2

pre-start exec rm -Rf {{ consul_data_dir }}/raft

exec /usr/local/sbin/consul agent -config-dir={{ consul_config_dir }}
